org.bdgenomics.adam.rdd.feature

# FeatureRDD

###
Related Docs: object FeatureRDD | package feature

#### case class FeatureRDD(rdd: RDD[Feature], sequences: SequenceDictionary) extends AvroGenomicRDD[Feature, FeatureRDD] with Logging with Product with Serializable

A GenomicRDD that wraps Feature data.

rdd

  An RDD of genomic Features.

sequences

  The reference genome this data is aligned to.

Linear Supertypes
Product, Equals, AvroGenomicRDD[Feature, FeatureRDD], GenomicRDD[Feature, FeatureRDD], ADAMRDDFunctions[Feature], Logging, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FeatureRDD
2. Product
3. Equals
4. AvroGenomicRDD
5. GenomicRDD
6. ADAMRDDFunctions
7. Logging
8. Serializable
9. Serializable
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new FeatureRDD(rdd: RDD[Feature], sequences: SequenceDictionary)

   rdd

     An RDD of genomic Features.

   sequences

     The reference genome this data is aligned to.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def broadcastRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Feature, X), Z]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Feature], xTag: ClassTag[X]): GenomicRDD[(Feature, X), Z]

   Performs a broadcast inner join between this RDD and another RDD.

   Performs a broadcast inner join between this RDD and another RDD.

   In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

   genomicRdd

     The right RDD in the join.

   returns

     Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

   Definition Classes
     GenomicRDD

6. #### def broadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Iterable[Feature], X), Z]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Feature], xTag: ClassTag[X]): GenomicRDD[(Iterable[Feature], X), Z]

   Performs a broadcast inner join between this RDD and another RDD.

   Performs a broadcast inner join between this RDD and another RDD.

   In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

   genomicRdd

     The right RDD in the join.

   returns

     Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

   Definition Classes
     GenomicRDD

7. #### def buildTree(rdd: RDD[(ReferenceRegion, Feature)])(implicit tTag: ClassTag[Feature]): IntervalArray[ReferenceRegion, Feature]

   Attributes
     protected
   Definition Classes
     FeatureRDD → GenomicRDD

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def filterByOverlappingRegion(query: ReferenceRegion): FeatureRDD

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the query region.

    Definition Classes
      GenomicRDD

11. #### def filterByOverlappingRegions(querys: List[ReferenceRegion]): FeatureRDD

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the querys region.

    Definition Classes
      GenomicRDD

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def flattenRddByRegions(): RDD[(ReferenceRegion, Feature)]

    Attributes
      protected
    Definition Classes
      GenomicRDD

14. #### def fullOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[Feature], Option[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[Feature], xTag: ClassTag[X]): GenomicRDD[(Option[Feature], Option[X]), Z]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicRDD

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def getReferenceRegions(elem: Feature): Seq[ReferenceRegion]

    elem

      The Feature to get an underlying region for.

    returns

      Since a feature maps directly to a single genomic region, this method will always return a Seq of exactly one ReferenceRegion.

    Attributes
      protected
    Definition Classes
      FeatureRDD → GenomicRDD

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

19. #### lazy val jrdd: JavaRDD[Feature]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicRDD

20. #### def leftOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Feature, Option[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[Feature], xTag: ClassTag[X]): GenomicRDD[(Feature, Option[X]), Z]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

21. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

32. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[Feature, FeatureRDD, V]](cmd: String, files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0)(implicit tFormatterCompanion: InFormatterCompanion[Feature, FeatureRDD, V], xFormatter: OutFormatter[X], convFn: (FeatureRDD, RDD[X]) ⇒ Y, tManifest: ClassTag[Feature], xManifest: ClassTag[X]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicRDD. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

37. #### val rdd: RDD[Feature]

    An RDD of genomic Features.

    An RDD of genomic Features.

    Definition Classes
      FeatureRDD → GenomicRDD → ADAMRDDFunctions

38. #### def replaceRdd(newRdd: RDD[Feature]): FeatureRDD

    newRdd

      The RDD to replace the underlying RDD with.

    returns

      Returns a new FeatureRDD with the underlying RDD replaced.

    Attributes
      protected
    Definition Classes
      FeatureRDD → GenomicRDD

39. #### def rightOuterBroadcastRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[Feature], X), Z]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Feature], xTag: ClassTag[X]): GenomicRDD[(Option[Feature], X), Z]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

40. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Iterable[Feature], X), Z]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Feature], xTag: ClassTag[X]): GenomicRDD[(Iterable[Feature], X), Z]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

41. #### def rightOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[Feature], X), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[Feature], xTag: ClassTag[X]): GenomicRDD[(Option[Feature], X), Z]

    Performs a sort-merge right outer join between this RDD and another RDD.

    Performs a sort-merge right outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

42. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[Feature], Iterable[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[Feature], xTag: ClassTag[X]): GenomicRDD[(Option[Feature], Iterable[X]), Z]

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

    Definition Classes
      GenomicRDD

43. #### def save(filePath: String, asSingleFile: Boolean): Unit

    Java friendly save function.

    Java friendly save function. Automatically detects the output format.

    Writes files ending in .bed as BED6/12, .gff3 as GFF3, .gtf/.gff as GTF/GFF2, .narrow[pP]eak as NarrowPeak, and .interval_list as IntervalList. If none of these match, we fall back to Parquet. These files are written as sharded text files.

    filePath

      The location to write the output.

    asSingleFile

      If false, writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

44. #### def saveAsBed(fileName: String, asSingleFile: Boolean = false): Unit

    Save this FeatureRDD in BED format.

    Save this FeatureRDD in BED format.

    fileName

      The path to save BED formatted text file(s) to.

    asSingleFile

      By default (false), writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

45. #### def saveAsGff3(fileName: String, asSingleFile: Boolean = false): Unit

    Save this FeatureRDD in GFF3 format.

    Save this FeatureRDD in GFF3 format.

    fileName

      The path to save GFF3 formatted text file(s) to.

    asSingleFile

      By default (false), writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

46. #### def saveAsGtf(fileName: String, asSingleFile: Boolean = false): Unit

    Save this FeatureRDD in GTF format.

    Save this FeatureRDD in GTF format.

    fileName

      The path to save GTF formatted text file(s) to.

    asSingleFile

      By default (false), writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

47. #### def saveAsIntervalList(fileName: String, asSingleFile: Boolean = false): Unit

    Save this FeatureRDD in interval list format.

    Save this FeatureRDD in interval list format.

    fileName

      The path to save interval list formatted text file(s) to.

    asSingleFile

      By default (false), writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

48. #### def saveAsNarrowPeak(fileName: String, asSingleFile: Boolean = false): Unit

    Save this FeatureRDD in NarrowPeak format.

    Save this FeatureRDD in NarrowPeak format.

    fileName

      The path to save NarrowPeak formatted text file(s) to.

    asSingleFile

      By default (false), writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

49. #### def saveAsParquet(filePath: String): Unit

    Saves this RDD to disk as a Parquet file.

    Saves this RDD to disk as a Parquet file.

    filePath

      Path to save the file at.

    Definition Classes
      AvroGenomicRDD

50. #### def saveAsParquet(filePath: String, blockSize: Integer, pageSize: Integer, compressCodec: CompressionCodecName, disableDictionaryEncoding: Boolean): Unit

    Saves this RDD to disk as a Parquet file.

    Saves this RDD to disk as a Parquet file.

    filePath

      Path to save the file at.

    blockSize

      Size per block.

    pageSize

      Size per page.

    compressCodec

      Name of the compression codec to use.

    disableDictionaryEncoding

      Whether or not to disable bit-packing.

    Definition Classes
      AvroGenomicRDD

51. #### def saveAsParquet(filePath: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false): Unit

    Saves this RDD to disk as a Parquet file.

    Saves this RDD to disk as a Parquet file.

    filePath

      Path to save the file at.

    blockSize

      Size per block.

    pageSize

      Size per page.

    compressCodec

      Name of the compression codec to use.

    disableDictionaryEncoding

      Whether or not to disable bit-packing. Default is false.

    Definition Classes
      AvroGenomicRDD

52. #### def saveAsParquet(args: SaveArgs): Unit

    Saves RDD as a directory of Parquet files.

    Saves RDD as a directory of Parquet files.

    The RDD is written as a directory of Parquet files, with Parquet configuration described by the input param args. The provided sequence dictionary is written at args.outputPath/_seqdict.avro as Avro binary.

    args

      Save configuration arguments.

    Definition Classes
      AvroGenomicRDD

53. #### def saveAvro[U <: SpecificRecordBase](filename: String, sc: SparkContext, schema: Schema, avro: Seq[U])(implicit tUag: ClassTag[U]): Unit

    Saves Avro data to a Hadoop file system.

    Saves Avro data to a Hadoop file system.

    This method uses a SparkContext to identify our underlying file system, which we then save to.

    Frustratingly enough, although all records generated by the Avro IDL compiler have a static SCHEMA$ field, this field does not belong to the SpecificRecordBase abstract class, or the SpecificRecord interface. As such, we must force the user to pass in the schema.

    U

      The type of the specific record we are saving.

    filename

      Path to save records to.

    sc

      SparkContext used for identifying underlying file system.

    schema

      Schema of records we are saving.

    avro

      Seq of records we are saving.

    Attributes
      protected
    Definition Classes
      ADAMRDDFunctions

54. #### def saveMetadata(filePath: String): Unit

    Called in saveAsParquet after saving RDD to Parquet to save metadata.

    Called in saveAsParquet after saving RDD to Parquet to save metadata.

    Writes any necessary metadata to disk. If not overridden, writes the sequence dictionary to disk as Avro.

    Attributes
      protected
    Definition Classes
      AvroGenomicRDD

55. #### def saveRddAsParquet(filePath: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false, schema: Option[Schema] = None): Unit

    Saves an RDD of Avro data to Parquet.

    Saves an RDD of Avro data to Parquet.

    filePath

      The path to save the file to.

    blockSize

      The size in bytes of blocks to write.

    pageSize

      The size in bytes of pages to write.

    compressCodec

      The compression codec to apply to pages.

    disableDictionaryEncoding

      If false, dictionary encoding is used. If true, delta encoding is used.

    schema

      The schema to set.

    Attributes
      protected
    Definition Classes
      ADAMRDDFunctions

56. #### def saveRddAsParquet(args: SaveArgs): Unit

    Attributes
      protected
    Definition Classes
      ADAMRDDFunctions

57. #### val sequences: SequenceDictionary

    The reference genome this data is aligned to.

    The reference genome this data is aligned to.

    Definition Classes
      FeatureRDD → GenomicRDD

58. #### def shuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Feature, X), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[Feature], xTag: ClassTag[X]): GenomicRDD[(Feature, X), Z]

    Performs a sort-merge inner join between this RDD and another RDD.

    Performs a sort-merge inner join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD

59. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Feature, Iterable[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[Feature], xTag: ClassTag[X]): GenomicRDD[(Feature, Iterable[X]), Z]

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

    Definition Classes
      GenomicRDD

60. #### def sort(): FeatureRDD

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    Note

      Does not support data that is unaligned or where objects align to multiple positions.

    See also

      sortLexicographically

61. #### def sortByReference(ascending: Boolean = true, numPartitions: Int = rdd.partitions.length): FeatureRDD

    Sorts the RDD by the reference ordering.

    Sorts the RDD by the reference ordering.

    ascending

      Whether to sort in ascending order or not.

    numPartitions

      The number of partitions to have after sorting. Defaults to the partition count of the underlying RDD.

62. #### def sortLexicographically(): FeatureRDD

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    Note

      Does not support data that is unaligned or where objects align to multiple positions.

    See also

      sort

63. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

64. #### def toCoverage: CoverageRDD

    Converts the FeatureRDD to a CoverageRDD.

    Converts the FeatureRDD to a CoverageRDD.

    returns

      CoverageRDD containing RDD of Coverage.

65. #### def transform(tFn: (RDD[Feature]) ⇒ RDD[Feature]): FeatureRDD

    Applies a function that transforms the underlying RDD into a new RDD.

    Applies a function that transforms the underlying RDD into a new RDD.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

66. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

67. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

68. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AvroGenomicRDD[Feature, FeatureRDD]

### Inherited from GenomicRDD[Feature, FeatureRDD]

### Inherited from ADAMRDDFunctions[Feature]

### Inherited from Logging

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped